# Bitwarden

- [Bitwarden](#bitwarden)
  - [Install](#install)

## Install

<https://bitwarden.com/help/self-host-with-helm/>

```bash
helm repo add bitwarden https://charts.bitwarden.com/
helm repo update

kubectl create namespace bitwarden
helm show values bitwarden/self-host > active/kubernetes_bitwarden/values.yaml

# Installation ID: https://bitwarden.com/host/
# Optional argument for Have I Been Pwned: --from-literal=globalSettings__hibpApiKey="REPLACE" \
kubectl create secret generic custom-secret -n bitwarden \
    --from-file=globalSettings__installation__id=./secrets/bitwarden/installation_id \
    --from-file=globalSettings__installation__key=./secrets/bitwarden/installation_key \
    --from-file=globalSettings__mail__smtp__username=./secrets/bitwarden/smtp_username \
    --from-file=globalSettings__mail__smtp__password=./secrets/bitwarden/smtp_password \
    --from-file=globalSettings__yubico__clientId=./secrets/bitwarden/yubico_id \
    --from-file=globalSettings__yubico__key=./secrets/bitwarden/yubico_secret \
    --from-file=SA_PASSWORD=./secrets/bitwarden/sa_password

helm upgrade bitwarden bitwarden/self-host --install --namespace bitwarden --values active/kubernetes_bitwarden/values.yaml
```
